Bug 1572596

Summary: RFE: build-time MODULE:STREAM dependancy, per chroot
Product: [Community] Copr Reporter: Pavel Raiskup <praiskup>
Component: frontendAssignee: Tomáš Hrnčiar <thrnciar>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: fedoraproject, hhorak, negativo17, orion, petersen, praiskup, sbonazzo
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-02-06 19:36:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1572597    
Bug Blocks:    

Description Pavel Raiskup 2018-04-27 11:43:28 UTC
The very same way I can add additional repositories into mock chroot
through UI - it would be nice if I could enable concrete module stream.

E.g.:
- enabled modules: httpd:2.4

Note that I do not want to build module;  I want to build non-modular
package (shipped as separate repository) _against_ module.

Comment 1 Jens Petersen 2019-02-11 01:54:17 UTC
(In reply to Pavel Raiskup from comment #0)
> The very same way I can add additional repositories into mock chroot
> through UI

UI??

> E.g.:
> - enabled modules: httpd:2.4

Where does this go?

> Note that I do not want to build module;  I want to build non-modular
> package (shipped as separate repository) _against_ module.

Indeed, me too.

Comment 2 Pavel Raiskup 2019-02-11 10:09:30 UTC
(In reply to Jens Petersen from comment #1)
> (In reply to Pavel Raiskup from comment #0)
> > The very same way I can add additional repositories into mock chroot
> > through UI
> 
> UI??

Well, by that I meant CLI/config.

> > E.g.:
> > - enabled modules: httpd:2.4
> 
> Where does this go?

I guess you are ask for mock, then please follow bug 1572597.  Copr
doesn't have this implemented, yet.

Comment 3 Pavel Raiskup 2019-02-11 10:15:17 UTC
Sorry, I misinterpreted myself now :-) well you can add external
repositories you build against in Copr, see `copr create --help`
and the `--repo` option.  Some incomplete documentation IMO is in
this documentation:
https://docs.pagure.org/copr.copr/user_documentation.html#can-i-depend-on-other-packages-which-are-not-in-fedora-epel

Comment 4 Sandro Bonazzola 2020-01-13 15:03:40 UTC
I've same issue here, I'd like to build a java package in copr requiring javapackages-local but I can't being it excluded by modular filtering.
We miss a way to change the mock chroot adding something like 

  config_opts['module_enable'] = ['javapackages-tools', 'python36']

enabling modules needed in order to perform the build.

Comment 5 Miroslav Suchý 2020-01-21 12:27:09 UTC
FYI - we started working on this one. It will be done in several steps as it requires changes in frontend, backend and builder.